<?xml version="1.0" encoding="utf-8"?>
<odoo>
    <data>
        <!-- Admin menu -->

        <menuitem id="menu_root_tpstst_admin" 
            name="Admin"
            web_icon="v11_tpstst_custom,static/src/img/admin.png"
            sequence="309"/>

        <!-- Admin SubMenu -->
        <menuitem id="menu_tpstst_base_user"
            name="Users Management" 
            parent="menu_root_tpstst_admin" 
            sequence="5"/>

        <menuitem id="menu_tpstst_base_admin_configuration"
            name="Configuration"  
            parent="menu_root_tpstst_admin" 
            sequence="99"/>

        <menuitem id="menu_action_res_company_tpstst"
            name="Company"
            parent="menu_root_tpstst_admin"
            action="action_res_company_tpstst"
            sequence="0"/>
        
        <menuitem id="menu_admin_email"
            name="Email"
            parent="menu_tpstst_base_admin_configuration"
            sequence="30"/>

        <!-- Admin Sub-submenu -->
        <menuitem id="menu_internal_user"
            name="Internal Users" 
            action="v11_tpstst_custom.action_res_users_tpstst"
            parent="menu_tpstst_base_user" 
            sequence="0"/>

        <menuitem id="menu_external_user"
            name="Portal Users"  
            action="v11_tpstst_custom.action_res_users_public"
            parent="menu_tpstst_base_user" 
            sequence="1" />

        <menuitem id="menu_tpstst_base_user_configuration"
            name="Users Configuration"  
            parent="menu_tpstst_base_admin_configuration" 
            sequence="11"/>

        <menuitem id="menu_tpstst_email_templates"
            parent="menu_admin_email"
            action="action_tpstst_email_template_tree_all"/>

        <menuitem id="term_and_condtion_menu"
            parent="menu_tpstst_base_admin_configuration"
            action="action_term_and_condition"
            sequence="10"/>

        <!-- Partner Configuration Menus-->
        <menuitem id="menu_hr_citizenship"
            name="Citizenship"
            action="action_hr_citizenship"
            parent="contacts.menu_localisation"
            sequence="1"/>

        <menuitem id="menu_partner_rank"
            name="Partner Rank"
            action="action_partner_rank"
            parent="membership_master_data_menu"
            sequence="1"/>

        <menuitem id="menu_partner_relationship"
            name="Partner Relationship"
            action="action_partner_relationship"
            parent="membership_master_data_menu"
            sequence="1"/>

    </data>
</odoo>

